[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadValue

Read the next value in the stream

## Declaration

Source position: classesh.inc line 1155

`public function TBinaryObjectReader.ReadValue: TValueType; override;`

## Description

NextValue reads the next value in a binary stream and returns the type of the read value.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader

Documentation generated on: Feb 26 2014